Bug 49871 - need to upgrade gcc compiler for Red Hat 7.0
need to upgrade gcc compiler for Red Hat 7.0
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-24 14:38 EDT by Dan Mergens
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-25 04:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Mergens 2001-07-24 14:38:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
The distributed and upgradable compilers for RedHat 7.0 are development
versions! You need to create an upgrade to gcc 3.0. Version 2.96 does not
work properly with C++. 

How reproducible:

Steps to Reproduce:
1.Visibroker has the details regarding the exact problem.

Actual Results:  Constructor of base class initializes members as NULL.
Other problems with exception handling as well.

Expected Results:  Constructor should have initialized members using
derived class initialization values.

Additional info:

This bug has been reported to Visibroker. We are currently working on a
solution that requires RedHat to upgrade to a stable version of gcc. I
HIGHLY suggest that you do NOT release future versions with a development
version of gcc. (shame on you). This gives freeware a bad name. I would
like to see RedHat and other free source software succeed. Critical to this
upgrade will be to have GNU's gdb upgraded to work properly with gcc 3.0.
Comment 1 Jakub Jelinek 2001-07-24 16:22:03 EDT
If you have a testcase, please attach it here.
gcc 2.96-RH is not a development version, it is compiler supported
by Red Hat and it was stabilizing for more than a year.
How much code have you successfully compiled with GCC 3.0?
It does not build GLIBC, nor KDE. It has still way to go till it
can be considered as main compiler for a distribution.
Also, if you encounter a bug in gcc-2.96-RH, please check latest
gcc-2.96-RH first (the one from RHL 7.1 errata is probably good enough,
the one in rawhide even better to check).
Please reopen the bug once you have testcase.
Comment 2 Dan Mergens 2001-07-24 18:03:19 EDT
Please see http://gcc.gnu.org/gcc-2.96.html. 2.96 is NOT an official release,
nor is it possible that it is derived from the lastest release 2.95.3 which was
released in March of 2001. Rawhide has 2.96.94 available, but the up2date uses
2.96.85. It is CRITICAL to point out that 2.96 is a development version which
will become 3.0, but the C++ mangling of symbol names will not be preserved.
Thus libraries compiled with 2.96 are worthless when linking to 2.95 or 3.0.
This is a SERIOUS problem that must be addressed. 

Examples will follow shortly.
Comment 3 Jakub Jelinek 2001-07-25 04:45:52 EDT
It is not official release from FSF, sure. That page has been put up mainly
because FSF does not want to support it. It does not matter much - because
Red Hat supports it. As I've said, we've spent more than a year testing and
bugfixing it (if you'll check src.rpm, there are more than 300 patches
so it is really different compiler to what has been in FSF CVS in July 2000).
gcc-2.96-RH is not a development version and it will not become 3.0.
In C++, it is incompatible with G++ 2.95.x and G++ 3.0, yes. But so were
all other previous G++, all incompatible with each other.
Libraries linked with 2.95.x are worthless when linking with 3.0 and vice versa
too, so I just don't get what's the big deal.
Awaing testcases, bugzilla is really not a good medium for flames.

Note You need to log in before you can comment on or make changes to this bug.